import { html } from "@elysiajs/html";
const HomeLayout = ({ children }: elements.Children) => `
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <script src="https://unpkg.com/htmx.org@1.9.5"></script>
        <link href="/public/style.css" rel="stylesheet" type="text/css" />
        <title>BETH STACK</title>
    </head>
    <body class="h-screen w-screen flex flex-col gap-3 items-center justify-center">
        <span class='text-xl font-semibold'>BETH STACK</span>
        <div class='flex flex-col items-center justify-center  gap-2 mb-5'>
            <span class='text-neutral-500 font-semibold'>Bun 1.0</span>
            <span class='text-violet-500 font-semibold'>Elysia</span>
            <span class='text-lime-500 font-semibold'>Turso</span>
            <span class='text-sky-500 font-semibold'>Htmx</span>
        </div>
        ${children}
    </body>
`;

export { HomeLayout }
